Skip to main content

/callStatus ⇒

GET

This API is used to fetch the call status details. It gives status information regarding recording and transcription for ongoing meetings.

Your application server must provide a /callStatus endpoint to Android/Web/IOS clients to fetch the call status details.

API signature in your application server.

* ENDPOINT      :	'/callStatus'
* METHOD : GET
* QUERY PARAM : roomName
* HEADERS : Content-type: application/json
* RESPONSE : { "error": null, "data" : <Call catch up data> }

To implement the /callStatus API under your application server use the following details.

* ADMIN BACKEND BASE URL : https://admin.<example.com>/api
* METHOD : GET
* API ENDPOINT : /sessions-status/:room_name
* HEADERS : Content-type: application/json

code snippet

Sample implementation of /callStatus API using nodejs technology.

const axios = require("axios");

const ADMIN_BACKEND_URL = "https://admin.<example.com>/api";
const endpoint = "/sessions-status";
const room_name = "testRoom";

const response = await axios.get(
ADMIN_BACKEND_URL + endpoint + "/" + room_name,
req,
{ headers: { "Content-type": "application/json" } }
);

return { error: null, data: response };

Sample response from Admin Control.

{
"error": null,
"data": {
"transcript_status": false,
"recording_status": false
}
}

Response expected by Android/Web/IOS clients from Your Application Server.

{
"error": null,
"data": {
"transcript_status": false,
"recording_status": false
}
}

Error Codes:

401 : Unauthorized (If authentication token is invalid or expired)

{
"data": null,
"error": {
"code": 401,
"message": "Unauthorized"
}
}

400 : Bad Request (If roomName query is not passed)

{
"data": null,
"error": {
"code": 400,
"message": "Room name required in query param."
}
}

404 : Not Found (If invalid url or wrong http method is used)

{
"error": {
"code": 404,
"message": "Not found"
},
"data": null
}

500 : Internal Server Error (If there is any exception on server side)

{
"error": {
"code": 500,
"message": "Internal server error"
},
"data": null
}

If your application server is built on Node.js technology, the ProCONF server SDK's getCallStatus(roomnName) method can be used. To integrate proconf-server-sdk please click here.

Call the getCallStatus(roomnName) server SDK method into your application server.

const { roomName } = req.query;
const callStatus = await serverSDK.getCallStatus(roomName);